## org.eclipse.jet.compiler
Class XMLBodyElementEnd

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.XMLBodyElementEnd

Deprecated. Since 0.8.0, use `XMLBodyElementEnd`

    public class XMLBodyElementEnd

extends JET2ASTElement

Represent the closing tag of an XML Tag with a body.

Constructor Summary
`XMLBodyElementEnd(org.eclipse.jet.compiler.JET2AST jet2ast, XMLBodyElementEnd end)` Deprecated.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Deprecated. Visit the AST and its contained elements.
`JET2ASTElement` `getPrevElement()` Deprecated.
`XMLBodyElement` `getStartTag()` Deprecated.
`void` `setStartTag(XMLBodyElement startTag)` Deprecated.
`java.lang.String` `toString()` Deprecated.

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getAst, getColumn, getEnd, getLine, getNextElement, getParent, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLBodyElementEnd

    public XMLBodyElementEnd(org.eclipse.jet.compiler.JET2AST jet2ast,
                             XMLBodyElementEnd end)

  Deprecated.

Method Detail

### accept

    public void accept(JET2ASTVisitor visitor)

  Deprecated.
  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`

### getStartTag

    public final XMLBodyElement getStartTag()

  Deprecated.
  Returns:
    Returns the startTag.

### setStartTag

    public final void setStartTag(XMLBodyElement startTag)

  Deprecated.
  Parameters:
    `startTag` - The startTag to set.

### getPrevElement

    public JET2ASTElement getPrevElement()

  Deprecated.
  Overrides:
    `getPrevElement` in class `JET2ASTElement`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.